Commit c4a0b4ab authored by Claude Paroz's avatar Claude Paroz Committed by Yuri Konotopov

Updated a bunch of http/https links

Closes: !12
parent ccd23e38
......@@ -23,7 +23,7 @@ System Requirements:
* `xapian (xapian-core and xapian-bindings)`_
.. _python: https://www.python.org/
.. _xapian (xapian-core and xapian-bindings): http://www.xapian.org/
.. _xapian (xapian-core and xapian-bindings): https://www.xapian.org/
Python Requirements:
* django_
......@@ -32,11 +32,11 @@ Python Requirements:
* pillow_
* Pygments_
.. _django: http://www.djangoproject.com/
.. _django: https://www.djangoproject.com/
.. _django-autoslug: http://packages.python.org/django-autoslug/
.. _django-registration: http://pypi.python.org/pypi/django-registration
.. _django-registration: https://pypi.org/project/django-registration
.. _pillow: https://github.com/python-pillow/Pillow
.. _Pygments: http://www.pygments.org/
.. _Pygments: http://pygments.org/
Running with Docker
......
<Project xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
xmlns:foaf="http://xmlns.com/foaf/0.1/"
xmlns:gnome="http://api.gnome.org/doap-extensions#"
xmlns:gnome="https://api.gnome.org/doap-extensions#"
xmlns="http://usefulinc.com/ns/doap#">
<name xml:lang="en">extensions-web</name>
<shortdesc xml:lang="en">GNOME Shell Extensions Repository</shortdesc>
<description>GNOME Shell Extensions Repository</description>
<homepage rdf:resource="http://extensions.gnome.org/" />
<category rdf:resource="http://api.gnome.org/doap-extensions#infrastructure" />
<homepage rdf:resource="https://extensions.gnome.org/" />
<category rdf:resource="https://api.gnome.org/doap-extensions#infrastructure" />
<programming-language>Python</programming-language>
<programming-language>JavaScript</programming-language>
<programming-language>HTML</programming-language>
......
......@@ -349,7 +349,7 @@ class ExtensionVersion(models.Model):
"""
# We can't easily *replace* files in a zipfile
# archive. See http://bugs.python.org/issue6818.
# archive. See https://bugs.python.org/issue6818.
# Just read all the contents from the old zipfile
# into memory and then emit a new one with the
# generated metadata.json
......
......@@ -38,7 +38,7 @@ behavior like spying on the user or displaying unwanted
advertisements. All extensions uploaded to this site are carefully
reviewed for malicious behavior before they are made available for
download. This process of code review is similar to the process for
Firefox add-ons submitted to <a href="http://addons.mozilla.org">
Firefox add-ons submitted to <a href="https://addons.mozilla.org">
addons.mozilla.org</a>.
</p>
<p>
......@@ -50,7 +50,7 @@ page.
<p>
The easiest way to get GNOME Shell is to install a Linux distribution
that provides GNOME 3. See the
<a href="http://www.gnome.org/getting-gnome/">Getting GNOME</a> page on
<a href="https://www.gnome.org/getting-gnome/">Getting GNOME</a> page on
the main GNOME site to learn how to grab a Linux distribution with
GNOME 3.
</p>
......@@ -60,7 +60,7 @@ If you are using GNOME 3.4 or newer and installation still doesn't work,
check to make sure that the "GNOME Shell Integration" plugin is installed
and enabled in your browser preferences. Some browsers have a feature,
click-to-play, which make it so the plugin cannot start without user
intervention. Make sure that either <code>http://extensions.gnome.org</code>
intervention. Make sure that either <code>https://extensions.gnome.org</code>
is whitelisted for the click-to-play feature, or click-to-play is turned
off entirely. Check your browser's help for more details.
</p>
......
......@@ -12,7 +12,7 @@
{% block body %}
<div class="step">
<p>
Make your extension. It should be a zip file containing at least the two files <code class="file required">metadata.json</code> and <code class="file required">extension.js</code>. Note that the UUID inside your <code class="file">metadata.json</code> must conform to GNOME Shell UUID guidelines. These guidelines can be found on <a href="https://live.gnome.org/GnomeShell/Extensions/UUIDGuidelines">the GNOME Wiki</a>.
Make your extension. It should be a zip file containing at least the two files <code class="file required">metadata.json</code> and <code class="file required">extension.js</code>. Note that the UUID inside your <code class="file">metadata.json</code> must conform to GNOME Shell UUID guidelines. These guidelines can be found on <a href="https://wiki.gnome.org/GnomeShell/Extensions/UUIDGuidelines">the GNOME Wiki</a>.
</p>
<p>
......
......@@ -6,6 +6,6 @@
"3.2.0",
"3.2"
],
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"uuid": "downgrade-extension@testcases.sweettooth.mecheye.net"
}
\ No newline at end of file
}
......@@ -6,6 +6,6 @@
"3.2.0",
"3.2"
],
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"uuid": "downgrade-extension@testcases.sweettooth.mecheye.net"
}
\ No newline at end of file
}
......@@ -6,6 +6,6 @@
"3.2.0",
"3.2"
],
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"uuid": "reject-extension@testcases.sweettooth.mecheye.net"
}
\ No newline at end of file
}
......@@ -6,6 +6,6 @@
"3.2.0",
"3.2"
],
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"uuid": "upgrade-extension@testcases.sweettooth.mecheye.net"
}
\ No newline at end of file
}
......@@ -6,6 +6,6 @@
"3.2.0",
"3.2"
],
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"uuid": "upgrade-extension@testcases.sweettooth.mecheye.net"
}
\ No newline at end of file
}
......@@ -6,7 +6,7 @@
"description": "Upgrade me, please",
"screenshot": "",
"creator": 1,
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"created": "2011-11-15 22:33:11",
"uuid": "upgrade-extension@testcases.sweettooth.mecheye.net",
"icon": "/static/images/plugin.png",
......@@ -21,7 +21,7 @@
"description": "Downgrade me, please",
"screenshot": "",
"creator": 1,
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"created": "2011-11-15 22:36:24",
"uuid": "downgrade-extension@testcases.sweettooth.mecheye.net",
"icon": "/static/images/plugin.png",
......@@ -36,7 +36,7 @@
"description": "Reject me, please",
"screenshot": "",
"creator": 1,
"url": "http://git.gnome.org/extensions-web",
"url": "https://gitlab.gnome.org/Infrastructure/extensions-web",
"created": "2011-11-15 22:40:40",
"uuid": "reject-extension@testcases.sweettooth.mecheye.net",
"icon": "/static/images/plugin.png",
......@@ -97,7 +97,7 @@
"model": "extensions.extensionversion",
"fields": {
"status": 3,
"extra_json_fields": "{\"uuid\": \"upgrade-extension@testcases.sweettooth.mecheye.net\", \"shell-version\": [\"3.2.0\", \"3.2\"], \"name\": \"Upgrade Extension\", \"url\": \"http://git.gnome.org/extensions-web\", \"_generated\": \"Generated by SweetTooth, do not edit\", \"description\": \"Upgrade me, please\"}",
"extra_json_fields": "{\"uuid\": \"upgrade-extension@testcases.sweettooth.mecheye.net\", \"shell-version\": [\"3.2.0\", \"3.2\"], \"name\": \"Upgrade Extension\", \"url\": \"https://gitlab.gnome.org/Infrastructure/extensions-web\", \"_generated\": \"Generated by SweetTooth, do not edit\", \"description\": \"Upgrade me, please\"}",
"extension": 1,
"source": "upgrade-extension@testcases.sweettooth.mecheye.net.v2.shell-extension.zip",
"version": 2,
......@@ -127,7 +127,7 @@
"model": "extensions.extensionversion",
"fields": {
"status": 1,
"extra_json_fields": "{\"uuid\": \"downgrade-extension@testcases.sweettooth.mecheye.net\", \"shell-version\": [\"3.2.0\", \"3.2\"], \"name\": \"Downgrade Extension\", \"url\": \"http://git.gnome.org/extensions-web\", \"_generated\": \"Generated by SweetTooth, do not edit\", \"description\": \"Downgrade me, please\"}",
"extra_json_fields": "{\"uuid\": \"downgrade-extension@testcases.sweettooth.mecheye.net\", \"shell-version\": [\"3.2.0\", \"3.2\"], \"name\": \"Downgrade Extension\", \"url\": \"https://gitlab.gnome.org/Infrastructure/extensions-web\", \"_generated\": \"Generated by SweetTooth, do not edit\", \"description\": \"Downgrade me, please\"}",
"extension": 2,
"source": "downgrade-extension@testcases.sweettooth.mecheye.net.v2.shell-extension.zip",
"version": 2,
......
......@@ -16,7 +16,7 @@ define([], function () {
// ExtensionState is stolen and should be kept in sync with the Shell.
// Licensed under GPL2+
// See: http://git.gnome.org/browse/gnome-shell/tree/js/ui/extensionSystem.js
// See: https://gitlab.gnome.org/GNOME/gnome-shell/blob/master/js/ui/extensionSystem.js
exports.ExtensionState = {
ENABLED: 1,
......@@ -31,7 +31,7 @@ define([], function () {
UNINSTALLED: 99
};
// https://git.gnome.org/browse/gnome-shell/tree/js/misc/extensionUtils.js
// https://gitlab.gnome.org/GNOME/gnome-shell/blob/master/js/misc/extensionUtils.js
exports.ExtensionType = {
SYSTEM: 1,
PER_USER: 2
......
......@@ -138,7 +138,7 @@
<div class="col-sm-12">
<div id="footnotes" class="col-sm-9">
Copyright &copy; 2005&#8210;{% now "Y" %} <strong class="gnome_logo">The GNOME Project</strong><br>
<small>Free to share and remix: <a href="http://creativecommons.org/licenses/by/3.0/">Creative Commons CC-BY</a>. Optimised for standards. Hosted by <a href="https://www.redhat.com/">Red Hat</a>. Powered by <a href="//www.djangoproject.com">Django</a> and <a href="//git.gnome.org/browse/extensions-web">SweetTooth</a></small>
<small>Free to share and remix: <a href="https://creativecommons.org/licenses/by/3.0/">Creative Commons CC-BY</a>. Optimised for standards. Hosted by <a href="https://www.redhat.com/">Red Hat</a>. Powered by <a href="https://www.djangoproject.com">Django</a> and <a href="https://gitlab.gnome.org/Infrastructure/extensions-web">SweetTooth</a></small>
</div>
</div>
</div>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment